Loading...
Searching...
No Matches
gpiod::line::offset Class Reference

Wrapper around unsigned int for representing line offsets. More...

`#include <line.hpp>`

## Public Member Functions

| offset (unsigned int off=0)
| Constructor with implicit conversion from unsigned int.
| offset (const offset &other)=default
| Copy constructor.
| offset (offset &&other)=default
| Move constructor.
| ~offset ()=default
offset & | operator= (const offset &other)=default
| Assignment operator.
offset & | operator= (offset &&other) noexcept=default
| Move assignment operator.
| operator unsigned int () const noexcept
| Conversion operator to unsigned int.

## Detailed Description

Wrapper around unsigned int for representing line offsets.

## Constructor & Destructor Documentation

## offset() [1/3]

gpiod::line::offset::offset | ( | unsigned int | off = 0 | ) |

inline

Constructor with implicit conversion from unsigned int.

Parameters

  off | Line offset.

## offset() [2/3]

gpiod::line::offset::offset | ( | const offset & | other | ) |

default

Copy constructor.

Parameters

  other | Object to copy.

## offset() [3/3]

gpiod::line::offset::offset | ( | offset && | other | ) |

default

Move constructor.

Parameters

  other | Object to move.

## ~offset()

gpiod::line::offset::~offset | ( |  | ) |

default

## Member Function Documentation

## operator unsigned int()

gpiod::line::offset::operator unsigned int | ( |  | ) | const

inline noexcept

Conversion operator to unsigned int.

## operator=() [1/2]

offset & gpiod::line::offset::operator= | ( | const offset & | other | ) |

default

Assignment operator.

Parameters

  other | Object to copy.

Returns
  Reference to self.

## operator=() [2/2]

offset & gpiod::line::offset::operator= | ( | offset && | other | ) |

default noexcept

Move assignment operator.

Parameters

  other | Object to move.

Returns
  Reference to self.

The documentation for this class was generated from the following file:

- line.hpp